Subject: bug#6437: 23.2; Fail to parse GTK font size with decimal point

From: Jan Djärv <[email-masked]>
Date: Tue, 22 Jun 2010 08:44:48 +0200

2010-06-16 10:15, Keith Packard skrev:
>
> Running emacs-gtk, I have my default font set to 'Monospace 7.5' in
> gconf which causes emacs to fail to start with the following error
> message:
>
> $ emacs
> Font `Monospace 7.5' is not defined
>
>
> Emacs is mis-parsing the font name, not allowing for the point size
> field to contain a decimal point.
>
> Here's a patch:
>
> diff --git a/src/font.c b/src/font.c
> index 7657121..cdaa16e 100644
> --- a/src/font.c
> +++ b/src/font.c
> @@ -1544,7 +1544,7 @@ font_parse_fcname (name, font)
>                int size_found = 1;
>
>                for (q = p + 1; *q&&  *q != ' '; q++)
> -               if (! isdigit (*q))
> +               if (! isdigit (*q)&&  *q != '.')
>                    {
>                      size_found = 0;
>                      break;
>

Applied.  But on my system it seems I get 7 even if I specify 7.5.  I tried a 
couple of applications, they all behave the same.

	Jan D.